Cambrionix connect
Developers
Hardware API

Proxy

Send a request to another service

POST

/hardware/v1/remote-computers/proxy

This endpoint allows a service to send a request to another service without making a direct PubSub connection.

Requires a bearer access token for this API. See Authentication.

Request body

object
bodyanyrequired
headersmap of stringrequired
methodstringrequired

One of: "GET", "POST", "PUT", "DELETE"

paramsmap of stringrequired
pathstringrequired
serviceIdstringrequired

Responses

200
object
bodyanyrequired
statusnumberrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/proxy" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "method": "GET",
  "params": {},
  "path": "string",
  "serviceId": "string"
}'

Respond to a remote computer request

POST

/hardware/v1/remote-computers/response

This endpoint allows a service to respond to a remote computer request.

Requires a bearer access token for this API with the Organization.PubSub.Response.Write permission. See Authentication.

Request body

object
dataobjectrequired
requestIdstringrequired

The id used to identify a request in the PubSub system

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/response" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "data": {
    "status": 0
  },
  "requestId": "00000000-0000-0000-0000-000000000000"
}'

Get a PubSub response by ID

GET

/hardware/v1/remote-computers/responses/{responseId}

Retrieve a PubSub response by ID. Used to fetch staged payloads that were uploaded via the POST /remote-computers/response endpoint.

Requires a bearer access token for this API with the Organization.PubSub.Response.Read permission. See Authentication.

Parameters

responseIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/remote-computers/responses/{responseId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"